Commit 762f07af authored by YannGarcia's avatar YannGarcia
Browse files

Update Virtualization with Release1 + README files

parent 9c70dde9
Loading
Loading
Loading
Loading
+1 −1
Original line number Diff line number Diff line
@@ -24,7 +24,7 @@ fi

if [ "$1" == "--remove" ]
then
    docker rmi --force etsiforge/etsi-its-ts:latest
    docker rmi --force etsiforge/etsi-its-ts-r1:latest
fi

cd $run_dir
+1 −1
Original line number Diff line number Diff line
@@ -3,7 +3,7 @@

## Introduction

This repositories contains the test specifications and test adapter code for ETSI ITS protocols testing.
This repositories contains the test specifications and test adapter code for ETSI ITS protocols testing, Release 1.
ETSI ITS protocols project supports:
- ETSI EN 302 637-2: "Intelligent Transport Systems (ITS); Vehicular Communications; Basic Set of Applications; Part 2: Specification of Cooperative Awareness Basic Service"
- ETSI EN 102 637-3: "Intelligent Transport Systems (ITS); Vehicular Communications; Basic Set of Applications; Part 3: Specifications of Decentralized Environmental Notification Basic Service" 
+10 −10
Original line number Diff line number Diff line
TTCN3_COMPILER_OPTIONS := -d -e -f -g -l -L -R -U none -w -x -X 
TTCN3_COMPILER_OPTIONS := -d -e -f -g -l -L -R -U none -x -X
TTCN3_DIR      := $(HOME)/frameworks/titan/titan.core/Install
ASN1C_PATH     := $(HOME)/frameworks/asn1c.denis
#WPCAP_DLL_PATH := /cygdrive/c/windows/system32/npcap/wpcap.dll
+2 −2
Original line number Diff line number Diff line
@@ -52,7 +52,7 @@ inet6:localhost

Execute ```run.cmd``` or launch a command line window and run the command

```docker run -it --net=host -e DISPLAY=192.168.99.1:0 etsiforge/etsi-its-ts```
```docker run -it --net=host -e DISPLAY=192.168.99.1:0 etsiforge/etsi-its-ts-r1```

NOTE: Modify the IP address in the command for the address of 'VirtualBox Hot-Only Network'.

@@ -61,6 +61,6 @@ NOTE: Modify the IP address in the command for the address of 'VirtualBox Hot-On
Execute ```run.sh``` or launch a command line window and run the command

```sh
docker run -it --net=host -e DISPLAY=$DISPLAY -v /tmp/.X11-unix:/tmp/.X11-unix etsiforge/etsi-its-ts
docker run -it --net=host -e DISPLAY=$DISPLAY -v /tmp/.X11-unix:/tmp/.X11-unix etsiforge/etsi-its-ts-r1
```
+2 −2
Original line number Diff line number Diff line
@@ -16,10 +16,10 @@ if [ -z `docker images -q stfubuntu` ]; then
    docker build --no-cache --tag stfubuntu:20.04 -f Dockerfile.stfubuntu --force-rm  . || exit 1
fi

docker build --no-cache --tag etsiforge/etsi-its-ts --force-rm  . || ( echo "Docker build failed: $?"; exit 1 )
docker build --no-cache --tag etsiforge/etsi-its-ts-r1 --force-rm  . || ( echo "Docker build failed: $?"; exit 1 )

docker images
docker inspect etsiforge/etsi-its-ts:latest || ( echo "Docker inspect failed: $?"; exit 1 )
docker inspect etsiforge/etsi-its-ts-r1:latest || ( echo "Docker inspect failed: $?"; exit 1 )

# That's all Floks
exit 0
Loading